## ofono 2.16

=== debian/changelog ===
ofono (2.16-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Apr 2025 17:12:55 +0200

ofono (2.16-1) unstable; urgency=medium

  [ Sicelo A. Mhlongo ]
  * New upstream version.
    - CVE-2024-7537: qmi: sms: Fix possible out-of-bounds read. (Closes:
      #1099190).
    - handsfree-audio: use correct signature for GetCards. (Closes:
      #1010666).
  * debian/patches:
    + Drop patches that have been merged by upstream
    + Add 0003-gdbus-fix-double-free.patch  Fix for double-free in
      gdbus/watch.c.
    + Add 0004-smsutil-fix-possible-buffer-overflow.patch. Fix buffer overflow
      bugs in src/smsutil.c.
    + Comply with DEP-3 for 0001-doc-ofonod.8-escape-minus-sign.patch.
      Don't forward upstream.
  * debian/control:
    + Update homepage URL
    + Bump Standards-Version to 4.7.2
  * debian/copyright:
    + Update Upstream-Contact URL
    + Update auto-generated attributions

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attributions.
    + Use new FSF mailing address.
  * debian/ofono.examples:
    + Add file. Install files from examples/ folder into doc directory.
  * debian/patches:
    + Add 1001_typo-fixes.patch. Various typo fixes.
  * debian/ofono*.init:
    + Source /lib/lsb/init-function (not /usr/lib/lsb/init-functions anymore).
  * debian/rules:
    + Drop override_dh_strip. The dbgsym migration is over.
    + Enable all hardening build flags.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Apr 2025 23:10:48 +0200

ofono (2.14-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.
  * Dropped changes, obsolete:
    - Configure with --enable-android-wakelock:
      - dropped upstream in 1.21.
    - Enable parallel builds:
      - default in compat level 13.
    - Build-depend on libc-ares-dev
      - dropped in 1.21.
    - Build-depend on libsystemd-dev:
      - merged in Debian
    - Use the upstream systemd unit instead of an Ubuntu-specific one.
      - already done in 1.31-2ubuntu1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 18:13:04 +0100

ofono (1.31-3ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:38:27 +0000

ofono (1.31-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:24:23 +0000

ofono (1.31-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libc-ares-dev, libsystemd-dev.
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Configure with --enable-android-wakelock.
    - Install apport hook.
    - Enable parallel builds.
    - Use the upstream systemd unit instead of an Ubuntu-specific one.
  * Dropped changes, obsolete:
    - debian/ofono.maintscript: handle removal of obsolete upstart job on
      upgrade.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 15:58:48 -0700

ofono (1.31-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libc-ares-dev, libsystemd-dev.
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Configure with --enable-android-wakelock.
    - Install apport hook.
    - Enable parallel builds.
  * Dropped changes, included in Debian:
    - Build an ofono-scripts package.
  * Dropped changes, no longer needed:
    - Build-depend on dh-systemd.
    - Install ofono upstart script.
    - Don't install /usr/sbin/dundee.  No explanation for why this is
      omitted and it's now dbus-activated so no runtime impact if not used.
  * Drop undocumented lintian overrides.
  * debian/ofono.maintscript: handle removal of obsolete upstart job on
    upgrade.  This change can be dropped after 20.04 release.
  * Use the upstream systemd unit instead of an Ubuntu-specific one.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Feb 2020 16:06:08 -0800
