=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                udev,
                libbluetooth-dev (>= 4.30),
                systemd-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://www.ofono.org/
+Homepage: https://git.kernel.org/pub/scm/network/ofono/ofono.git
 Vcs-Git: https://salsa.debian.org/telepathy-team/ofono.git
 Vcs-Browser: https://salsa.debian.org/telepathy-team/ofono
