=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
@@ -9,11 +12,7 @@
                              --enable-dundee \
                              --with-systemdunitdir=/usr/lib/systemd/system
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='ofono-dbg (<< 1.18-1~)'
-
 override_dh_installinit:
-	dh_installinit --name=dundee
 	dh_installinit
 
 override_dh_install:
