## ofono 2.18

=== debian/changelog ===
ofono (2.18-2ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Sep 2025 10:56:01 +0200

ofono (2.18-2) unstable; urgency=medium

  * debian/control:
    + Change ofono-dev from M-A:foreign to M-A:same. (Closes: #1115560).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Sep 2025 11:31:38 +0200

ofono (2.18-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Aug 2025 08:31:06 +0200

ofono (2.18-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Drop patches 0003, 0004 and 0005. All applied upstream.
    + Trivially rebase patches 1002, 1003, and 1004.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Aug 2025 23:46:39 +0200

ofono (2.16-5ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Remove ofono and ofono-dundee init scripts.
    - Install ofono postinst script.
    - Install apport hook.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 May 2025 10:56:41 +0200

ofono (2.16-5) unstable; urgency=medium

  * ofono-fcc-unlock: Don't bring the modem online for FCC-unlocking. Simply
    power it up (and down afterwards).
  * ofono-fcc-unlock: Support bringing the modem online after FCC-unlocking.
    Configurable via /etc/default/ofono.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 17:30:13 +0200

ofono (2.16-4) unstable; urgency=medium

  * debian/:
    + Provide ofono-fcc-unlock helper script.
    + Run ofono-fcc-unlock as oneshot systemd service at boot.
    + »Knick« FCC unlock scripts from modemmanager at build time.
  * debian/control:
    + Avoid parallel installation of ofono and modemmanager. They compete with
      one another for modem hardware control.
  * debian/README.Debian:
    + Explain about FCC modem unlocking when using ofono.
  * debian/ofono.default:
    + Disable FCC unlocking by default.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 16:49:21 +0200

ofono (2.16-3) unstable; urgency=medium

  * debian/patches:
    + Add 1006_mbimmodem-sim-add-support-for-querying-IMSI-with-MBI.patch.
      mbimmodem: sim: add support for querying IMSI with MBIMEx 3.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 May 2025 21:25:54 +0200

ofono (2.16-2) unstable; urgency=medium

  * debian/patches:
    + Add patches 1002, 1003, 1004 and 1005. Add support for MBIM PCIe modems,
      esp. the MediaTek T700 5G GSM modem.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Apr 2025 09:53:39 +0200
