=== debian/control ===
--- 
+++ 
@@ -6,10 +6,13 @@
            Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper (>= 13.11.6),
                debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-movetousr,
                libglib2.0-dev (>= 2.32),
                libdbus-1-dev,
                libudev-dev,
+# from modemmanager we obtain FCC unlock scripts and ship them in ofono
+               modemmanager (>= 1.18.4-1~),
                udev,
                libbluetooth-dev (>= 4.30),
                systemd-dev,
@@ -21,9 +24,15 @@
 
 Package: ofono
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dbus
-Recommends: udev
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         confget,
+         dbus,
+Recommends: udev,
+            ofono-scripts,
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: modemmanager,
+Replaces: modemmanager,
 Description: Mobile telephony stack (daemon)
  oFono is a stack for mobile telephony devices on Linux.  oFono supports
  speaking to telephony devices through specific drivers, or with generic
@@ -37,8 +46,8 @@
  This package includes the core daemon.
 
 Package: ofono-dev
-Architecture: all
-Multi-Arch: foreign
+Architecture: linux-any
+Multi-Arch: same
 Depends: libdbus-1-dev, libglib2.0-dev, ${misc:Depends}, ${shlibs:Depends}
 Description: Mobile telephony stack (development files)
  oFono is a stack for mobile telephony devices on Linux.  oFono supports
